$kind: http-request
url: "{{Local_URL}}properties/properties"
method: POST
body:
  type: formdata
  content:
    - type: text
      key: landlord_id
      value: e524b2f4-60b9-4bc1-bab9-dbe6ea668ef5
    - type: text
      key: locality_id
      value: eeeacc43-36be-47e4-aeac-999a32898324
    - type: text
      key: name
      value: Rentals In Kisasi
    - type: text
      key: code
      value: "001254"
      description: Nullable
    - type: text
      key: address
      value: Kyebando
      description: Nullable
    - type: text
      key: postal_code
      value: "256"
      description: Nullable
    - type: text
      key: latitude
      value: ""
      description: Nullable
    - type: text
      key: longitude
      value: ""
      description: Nullable
    - type: text
      key: purpose
      value: residential
      description: "'commercial','residential'"
    - type: text
      key: management_fee_type
      value: percentage
      description: "'percentage','fixed'"
    - type: text
      key: management_fee
      value: "10"
    - type: text
      key: metadata
      value: |-
        {
          "balcony": true,
          "garden": false,
          "swimming_pool": true
        }
    - type: text
      key: units[0][unit_number]
      value: "0001"
    - type: text
      key: units[0][unit_type_id]
      value: 7a338247-3fc7-4fc8-af65-428d47fd4852
    - type: text
      key: units[0][currency_id]
      value: 298ac66c-16fc-4470-826c-8f8b725dbce4
    - type: text
      key: units[0][rent_amount]
      value: "4999"
    - type: text
      key: units[0][status]
      value: vacant
      description: "'vacant','occupied','maintenance'"
    - type: text
      key: units[0][metadata]
      value: |
        {
          "balcony": true,
          "floor": 3,
          "pets_allowed": false
        }
    - type: file
      key: images[]
      src: /Users/mac/Downloads/Screenshot 2026-01-07 at 22.42.32.png
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 5000
